FreeMat

- Main Page
- Related Pages

vtkGeoTerrain2D

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoTerrain2D contains a multi-resolution tree of geometry representing the globe. It uses a vtkGeoSource subclass to generate the terrain, such as vtkGeoProjectionSource. This source must be set before using the terrain in a vtkGeoView2D. The terrain also contains an AddActors() method which updates the set of actors representing the globe given the current camera position.

To create an instance of class vtkGeoTerrain2D, simply invoke its constructor as follows

      obj = vtkGeoTerrain2D

# Methods

The class vtkGeoTerrain2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoTerrain2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoTerrain2D = obj.NewInstance ()`
- `vtkGeoTerrain2D = obj.SafeDownCast (vtkObject o)`
- `obj.SetTextureTolerance (double )` - The maximum size of a single texel in pixels. Images will be refined if a texel becomes larger than the tolerance.
- `double = obj.GetTextureTolerance ()` - The maximum size of a single texel in pixels. Images will be refined if a texel becomes larger than the tolerance.
- `obj.SetLocationTolerance (double )` - The maximum allowed deviation of geometry in pixels. Geometry will be refined if the deviation is larger than the tolerance.
- `double = obj.GetLocationTolerance ()` - The maximum allowed deviation of geometry in pixels. Geometry will be refined if the deviation is larger than the tolerance.
- `vtkAbstractTransform = obj.GetTransform ()` - Return the projection transformation used by this 2D terrain.